import processing as p
import matplotlib.pyplot as plt

data_dir   = '/data/highzgal/PUBLICACCESS/WISPS/data/V5.0/'
output_dir = '/data/highzgal/mehta/WISP/contam_cleaning/cleaning_new/output/'

objlist = [(129, 14),(167, 12),(167, 22),(167, 35),(167, 78),
           (167,  8),(258, 56),(283, 97),(288, 30),(294,100),
           (297,  8),(297,  9),(300, 37),(311, 67),(312, 41)]

for par,obj in objlist:
    
    p.WISP_Source(par_num=par,obj_num=obj,grism='G102',data_dir=data_dir,output_dir=output_dir).process()
    p.WISP_Source(par_num=par,obj_num=obj,grism='G141',data_dir=data_dir,output_dir=output_dir).process()
    plt.close("all")

#plt.show()
